//
//  AppDelegate.swift
//  MusicVideoPlus
//
//  Created by ak on 2021/5/28.
//

import UIKit
import BFFramework
@main
class AppDelegate: UIResponder, UIApplicationDelegate {


    var window: UIWindow?

    func application(_ application: UIApplication, didFinishLaunchingWithOptions launchOptions: [UIApplication.LaunchOptionsKey: Any]?) -> Bool {
       
        window = UIWindow(frame: UIScreen.main.bounds)

        let rootViewController = MVHomeController()
        let navigationController = UINavigationController(rootViewController: rootViewController)

        window?.rootViewController = navigationController

        window?.makeKeyAndVisible()
        
        let wxappInfo = WXApiInfo.init()
        wxappInfo.state = "com.piaoquan.pqspeed"
        wxappInfo.appid = "wx0e8234aac576d1e0"
        wxappInfo.secret = "a6c35e4e8adf60039f94f4c18e2aabdb"
        wxappInfo.universalLink = "https://speed.piaoquantv.com"
        wxappInfo.scope = "snsapi_userinfo"
        PQSingletoWXApiUtil.shared.registerApp(appInfo: wxappInfo)
        
        
        return true
        
 
    }

 
    func application(_: UIApplication, continue userActivity: NSUserActivity, restorationHandler _: @escaping ([UIUserActivityRestoring]?) -> Void) -> Bool {
        return PQSingletoWXApiUtil.shared.handleOpenUniversalLink(userActivity: userActivity)
    }

    func application(_: UIApplication, open url: URL, options _: [UIApplication.OpenURLOptionsKey: Any] = [:]) -> Bool {
        return PQSingletoWXApiUtil.shared.handleOpen(url: url)
    }

    func application(_: UIApplication, handleOpen url: URL) -> Bool {
        return PQSingletoWXApiUtil.shared.handleOpen(url: url)
    }

    func application(_: UIApplication, open url: URL, sourceApplication _: String?, annotation _: Any) -> Bool {
        return PQSingletoWXApiUtil.shared.handleOpen(url: url)
    }


}

